Bug 736463 - subscription-manager gui Certificate column for My Installed Software could be improved
Summary: subscription-manager gui Certificate column for My Installed Software could b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: 6.3
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 738066
TreeView+ depends on / blocked
 
Reported: 2011-09-07 18:20 UTC by John Sefler
Modified: 2012-06-20 12:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 12:56:41 UTC


Attachments (Terms of Use)
Problem 1 Certificate column is not reflecting a "Partial" status (85.52 KB, image/png)
2011-09-07 18:20 UTC, John Sefler
no flags Details
certificate status (109.09 KB, image/png)
2012-03-21 07:41 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0804 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2012-06-19 19:51:31 UTC

Description John Sefler 2011-09-07 18:20:09 UTC
Created attachment 521966 [details]
Problem 1 Certificate column is not reflecting a "Partial" status

Description of problem:

Problem 1:
Having recently implemented a "Partially Subscribed" product status, the "Certificate" column in  "My Installed Software" in the gui should also reflect this partial status.  See attached screenshot for the yellow product.

Problem 2:
I'd like to propose a few alternative proposals to improve the "Certificate" column

Proposal A. Remove the "Certificate" column entirely.  The information is implicitly provided by the red/yellow/green column already, and fly-over text could be added over the red/yellow/green icons to verbalize their meaning.

Proposal B. Change the name of the Certificate column to Entitlement. Because this table lists installed product software, the column labelled Certificate implies to me that it refers to the product certificates installed on the system.  As such, a value of "Missing" makes no sense otherwise there would be no row for the product.

Proposal C. Change the name of the Certificate column to "Status" and the values listed in the columns would be one of {"Subscribed", "Partial", "", "Expired?"} to keep the widths down and parallel the "Status" field in the cli list --installed.



Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62server ~]# rpm -qa | grep subscription-manager
subscription-manager-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-firstboot-0.96.8-1.git.22.6521906.el6.x86_64
subscription-manager-gnome-0.96.8-1.git.22.6521906.el6.x86_64

Comment 1 Paul Lightfoot 2011-09-07 19:20:39 UTC
(In reply to comment #0)
> Created attachment 521966 [details]
> Problem 1 Certificate column is not reflecting a "Partial" status
> 
> Description of problem:
> 
> Problem 1:
> Having recently implemented a "Partially Subscribed" product status, the
> "Certificate" column in  "My Installed Software" in the gui should also reflect
> this partial status.  See attached screenshot for the yellow product.

Agreed. Proposed resolution inline below. 

> Problem 2:
> I'd like to propose a few alternative proposals to improve the "Certificate"
> column
> 
> Proposal A. Remove the "Certificate" column entirely.  The information is
> implicitly provided by the red/yellow/green column already, and fly-over text
> could be added over the red/yellow/green icons to verbalize their meaning.

This is the most straightforward approach but the dev team came back with a “can't do” with helper text appearing over an icon.  

> Proposal B. Change the name of the Certificate column to Entitlement. Because
> this table lists installed product software, the column labelled Certificate
> implies to me that it refers to the product certificates installed on the
> system.  As such, a value of "Missing" makes no sense otherwise there would be
> no row for the product.

I prefer option C.

> 
> Proposal C. Change the name of the Certificate column to "Status" and the
> values listed in the columns would be one of {"Subscribed", "Partial", "",
> "Expired?"} to keep the widths down and parallel the "Status" field in the cli
> list --installed.

I propose we move with this option but with modified values.
As a user the status of my software is either “subscribed”, “needs attention” or is “expired”. If you want to be literal and say “partially subscribed” I'm ok with it but it's long...but I'm definitely not wild about just “partial”. 

Green – Subscribed
Yellow – Needs Attention
Red – Expired

The width of the “Arch” column can be shrunk up a bit to accommodate the longer “needs attention”.

> 
> 
> 
> Version-Release number of selected component (if applicable):
> [root@jsefler-onprem-62server ~]# rpm -qa | grep subscription-manager
> subscription-manager-0.96.8-1.git.22.6521906.el6.x86_64
> subscription-manager-firstboot-0.96.8-1.git.22.6521906.el6.x86_64
> subscription-manager-gnome-0.96.8-1.git.22.6521906.el6.x86_64

Comment 2 Michael Stead 2011-09-08 14:50:14 UTC
Tooltips/fly-outs are possible, however, there seems to be an issue with where they are displayed when the mouse is over a row in the last 1/4 of the tree view. I'm not sure if this is an issue with GTK+ or the test code I played with. I wouldn't rule this idea out altogether.

If tool-tips fall through, I would prefer "Proposal 3".

Comment 4 Bryan Kearney 2012-03-20 17:24:25 UTC
I believe that the latest UI work has option 3 in there.

Comment 6 Shwetha Kallesh 2012-03-21 07:41:23 UTC
Created attachment 571616 [details]
certificate status

Moving to verified

[root@skallesh product]# rpm -qa | grep subscription-manager
subscription-manager-migration-0.99.10-1.git.85.057ca98.el6.x86_64
subscription-manager-gnome-0.99.10-1.git.85.057ca98.el6.x86_64
subscription-manager-firstboot-0.99.10-1.git.85.057ca98.el6.x86_64
subscription-manager-migration-data-1.12.1.1-1.git.6.ea6813e.el6.noarch
subscription-manager-0.99.10-1.git.85.057ca98.el6.x86_64

Comment 8 errata-xmlrpc 2012-06-20 12:56:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html


Note You need to log in before you can comment on or make changes to this bug.